Resource Center/Network Resource/Hardware SDN Controller Operations
DELETEHardware SDN Controller OperationsSince 0.6SynchronousAuth Required
DeleteNfvInstGroup
DeleteNfvInstGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource Uuid.
Body Fields
deleteModeStringOptional. The deletion mode (Permissive / Enforcing,Permissive)
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/nfvinstgroup/group/{uuid}
/zstack/v1/nfvinstgroup/group/{uuid}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/nfvinstgroup/group/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
